Module javafx.controls
Package javafx.scene.control.skin

## Class DateCellSkin

- java.lang.Object
- - javafx.scene.control.SkinBase<C>
  - - javafx.scene.control.skin.LabeledSkinBase<C>
    - - javafx.scene.control.skin.CellSkinBase<DateCell>
      - - javafx.scene.control.skin.DateCellSkin

- All Implemented Interfaces:
    `Skin<DateCell>`

      public class DateCellSkin
      extends CellSkinBase<DateCell>

  Default skin implementation for the `DateCell` control.
  Since:
    9
  See Also:
    `DateCell`

- - ### Property Summary

    - ### Properties inherited from class javafx.scene.control.skin.CellSkinBase

      `cellSize`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DateCellSkin​(DateCell control)` | Creates a new DateCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `protected double` | `computePrefHeight​(double width, double topInset, double rightInset, double bottomInset, double leftInset)` | Calculates the preferred height of this `SkinBase`.
    `protected double` | `computePrefWidth​(double height, double topInset, double rightInset, double bottomInset, double leftInset)` | Calculates the preferred width of this `SkinBase`.
    `void` | `dispose()` | Called by a Skinnable when the Skin is replaced on the Skinnable.
    `protected void` | `layoutChildren​(double x, double y, double w, double h)` | The Layout algorithm works like this: - Get the labeled w/h, graphic w/h, text w/h - Compute content w/h based on graphicVPos, graphicHPos, graphicTextGap, and graphic w/h and text w/h - (Note that the text content has been pre-truncated where necessary) - compute content x/y based on content w/h and labeled w/h and the labeled's hpos and vpos - position the graphic and text
    `protected void` | `updateChildren()` | Updates the children managed by LabeledSkinBase, which can be the Labeled graphic and/or a Text node.

    - ### Methods inherited from class javafx.scene.control.skin.CellSkinBase

      `cellSizeProperty, getCellSize, getClassCssMetaData, getCssMetaData`

    - ### Methods inherited from class javafx.scene.control.skin.LabeledSkinBase

      `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, layoutLabelInArea, layoutLabelInArea, queryAccessibleAttribute`

    - ### Methods inherited from class javafx.scene.control.SkinBase

      `consumeMouseEvents, executeAccessibleAction, getChildren, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateCellSkin

          public DateCellSkin​(DateCell control)

      Creates a new DateCellSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
      Parameters:
        `control` - The control that this skin should be installed onto.

  - ### Method Detail

    - #### dispose

          public void dispose()

      Called by a Skinnable when the Skin is replaced on the Skinnable. This method allows a Skin to implement any logic necessary to clean up itself after the Skin is no longer needed. It may be used to release native resources. The methods `Skin.getSkinnable()` and `Skin.getNode()` should return null following a call to dispose. Calling dispose twice has no effect.
      Specified by:
        `dispose` in interface `Skin<DateCell>`
      Overrides:
        `dispose` in class `SkinBase<DateCell>`

    - #### updateChildren

          protected void updateChildren()

      Updates the children managed by LabeledSkinBase, which can be the Labeled graphic and/or a Text node. Only those nodes which actually must be used are used. For example, with a ContentDisplay of GRAPHIC_ONLY the text node is not added, and with a ContentDisplay of TEXT_ONLY, the graphic is not added.
      Overrides:
        `updateChildren` in class `LabeledSkinBase<DateCell>`

    - #### layoutChildren

          protected void layoutChildren​(double x,
                                        double y,
                                        double w,
                                        double h)

      The Layout algorithm works like this: - Get the labeled w/h, graphic w/h, text w/h - Compute content w/h based on graphicVPos, graphicHPos, graphicTextGap, and graphic w/h and text w/h - (Note that the text content has been pre-truncated where necessary) - compute content x/y based on content w/h and labeled w/h and the labeled's hpos and vpos - position the graphic and text
      Overrides:
        `layoutChildren` in class `LabeledSkinBase<DateCell>`
      Parameters:
        `x` - the x position
        `y` - the y position
        `w` - the width
        `h` - the height

    - #### computePrefWidth

          protected double computePrefWidth​(double height,
                                            double topInset,
                                            double rightInset,
                                            double bottomInset,
                                            double leftInset)

      Calculates the preferred width of this `SkinBase`. The default implementation calculates this width as the width of the area occupied by its managed children when they are positioned at their current positions at their preferred widths.
      Overrides:
        `computePrefWidth` in class `LabeledSkinBase<DateCell>`
      Parameters:
        `height` - the height that should be used if preferred width depends on it
        `topInset` - the pixel snapped top inset
        `rightInset` - the pixel snapped right inset
        `bottomInset` - the pixel snapped bottom inset
        `leftInset` - the pixel snapped left inset
      Returns:
        the calculated preferred width

    - #### computePrefHeight

          protected double computePrefHeight​(double width,
                                             double topInset,
                                             double rightInset,
                                             double bottomInset,
                                             double leftInset)

      Calculates the preferred height of this `SkinBase`. The default implementation calculates this height as the height of the area occupied by its managed children when they are positioned at their current positions at their preferred heights.
      Overrides:
        `computePrefHeight` in class `LabeledSkinBase<DateCell>`
      Parameters:
        `width` - the width that should be used if preferred height depends on it
        `topInset` - the pixel snapped top inset
        `rightInset` - the pixel snapped right inset
        `bottomInset` - the pixel snapped bottom inset
        `leftInset` - the pixel snapped left inset
      Returns:
        the calculated preferred height